/***************************************************************************
                          kalbumitem.h  -  description
                             -------------------
    begin                : Wed Jan 23 2002
    copyright            : (C) 2002 by Graham Morrison
    email                : kalbum@paldandy.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KALBUMITEM_H
#define KALBUMITEM_H

#include <qwidget.h>
#include <kalbumitemdlg.h>


#include "kdateedit.h"
#include "photoalbum.h"

/**
  *@author Graham Morrison
  */

class KalbumItem : public KalbumItemDlg
{
  Q_OBJECT
	public:
		KalbumItem(QWidget *parent=0, const char *name=0,
								bool modal = TRUE, WFlags f=0) :
		KalbumItemDlg ( parent, name, modal, f){}

		~KalbumItem();

		PhotoAlbum *photo;

	public slots: // Public slots

		void slotNextProp();
		void slotPrevProp();
    void slotTextChanged();
	
};

#endif
