/***************************************************************************
                          kalbumiconview.cpp  -  description
                             -------------------
    begin                : Fri Oct 11 2002
    copyright            : (C) 2002 by Graham Morrison
    email                : kalbum@paldandy.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlist.h>

#include "kalbumiconview.h"
#include "kalbumview.h"
#include "kalbum.h"
#include "kalmimesource.h"
#include "photoalbum.h"
#include "kalbumviewitem.h"

KalbumIconView::KalbumIconView(QWidget *parent, const char *name ) : KIconView(parent,name) {
}
KalbumIconView::~KalbumIconView(){
}

QDragObject* KalbumIconView::dragObject()
{
  QList<PhotoAlbum> m_photo;

  KalbumApp *win=(KalbumApp *) parent();
  m_photo = win->view->getPhotoData();


  KalMimeSource * mime_source = new KalMimeSource(m_photo);

  QStoredDrag *drag = new QStoredDrag("application/kalbum",this);
  drag->setEncodedData(mime_source->encodedData("application/kalbum"));

  return drag;


}

