/***************************************************************************
                          kalbumitem.cpp  -  description
                             -------------------
    begin                : Wed Jan 23 2002
    copyright            : (C) 2002 by Graham Morrison
    email                : kalbum@paldandy.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qstring.h>
#include <qmultilineedit.h>
#include <qmessagebox.h>
#include <qtextedit.h>


#include "kalbumview.h"
#include "kalbumitem.h"

#define MAXLEN 250


KalbumItem::~KalbumItem(){
}


void KalbumItem::slotNextProp(){

	KalbumView *theView=(KalbumView *) parentWidget();

	theView->nextProp(this);	

}

void KalbumItem::slotPrevProp(){

	KalbumView *theView=(KalbumView *) parentWidget();

	theView->prevProp(this);	

}

void KalbumItem::slotTextChanged()
{

  int length;
  QString text;

  length = EditComment->length();

  if (length > MAXLEN){
      EditComment->moveCursor( QTextEdit::MoveBackward,false);
      EditComment->del();

  }

}

